<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbCheckoutNotifyTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_checkout_notify', function(Blueprint $table)
		{
			$table->bigInteger('id');
			$table->integer('site_id');
			$table->bigInteger('date_orig')->nullable();
			$table->bigInteger('date_last')->nullable();
			$table->integer('checkout_id');
			$table->boolean('active')->nullable();
			$table->binary('data', 65535);
			$table->boolean('processed')->nullable();
			$table->text('result', 65535)->nullable();
			$table->primary(['id','site_id','checkout_id']);
			$table->index(['checkout_id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_checkout_notify');
	}

}
